Index: /trunk/SophyaLib/BaseTools/smakefile
===================================================================
--- /trunk/SophyaLib/BaseTools/smakefile	(revision 3878)
+++ /trunk/SophyaLib/BaseTools/smakefile	(revision 3879)
@@ -15,5 +15,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatype.cc
  
-$(SOPHYAOBJP)dvlist.o: dvlist.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)dvlist.o: dvlist.cc \
+  $(SOPHYAINCP)machdefs.h \
   dvlist.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h mutyv.h timestamp.h \
@@ -22,18 +23,18 @@
  
 $(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h datatype.h fiondblock.h ppersist.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiondblock.cc
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h objfio.h \
-  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mutyv.cc
  
 $(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ndatablock.h anydataobj.h thsafeop.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ndatablock.h anydataobj.h thsafeop.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ndatablock.cc
  
@@ -43,32 +44,33 @@
  
 $(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppersist.cc
  
 $(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
-  rawstream.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  ppfbinstream.h rawstream.h pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppfbinstream.cc
  
 $(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
-  $(SOPHYAINCP)machdefs.h ppftpointerio.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftpointerio.cc
  
 $(SOPHYAOBJP)randfmt.o: randfmt.cc randfmt.h \
-  $(SOPHYAINCP)machdefs.h objfio.h anydataobj.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h dsfmtflags.h dSFMT.h randinterf.h
+  $(SOPHYAINCP)machdefs.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h randinterf.h dsfmtflags.h dSFMT.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  randfmt.cc
  
 $(SOPHYAOBJP)randinterf.o: randinterf.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  randinterf.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h randinterf.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  randinterf.cc
  
-$(SOPHYAOBJP)randr48.o: randr48.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)randr48.o: randr48.cc \
+  $(SOPHYAINCP)machdefs.h \
   thsafeop.h pexceptions.h fiondblock.h ppersist.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h \
@@ -77,23 +79,25 @@
  
 $(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rawstream.cc
  
 $(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sophyainit.h \
-  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h timestamp.h randr48.h randinterf.h randfmt.h dsfmtflags.h \
-  dSFMT.h fiosegdb.h segdatablock.h thsafeop.h ppftpointerio.h \
-  ppfwrapstlv.h sversion.h
+  $(SOPHYAINCP)machdefs.h \
+  sophyainit.h pexceptions.h ppersist.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h fiondblock.h ndatablock.h anydataobj.h \
+  dvlist.h objfio.h mutyv.h timestamp.h randr48.h randinterf.h randfmt.h \
+  fiosegdb.h segdatablock.h thsafeop.h ppftpointerio.h ppfwrapstlv.h \
+  sversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sophyainit.cc
  
 $(SOPHYAOBJP)stsrand.o: stsrand.cc stsrand.h \
-  $(SOPHYAINCP)machdefs.h objfio.h anydataobj.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h thsafeop.h fiondblock.h
+  $(SOPHYAINCP)machdefs.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h ndatablock.h thsafeop.h fiondblock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  stsrand.cc
  
-$(SOPHYAOBJP)timestamp.o: timestamp.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)timestamp.o: timestamp.cc \
+  $(SOPHYAINCP)machdefs.h \
   timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
   ppfbinstream.h rawstream.h ppfnametag.h
@@ -103,5 +107,6 @@
 	$(CCOMPILE) -o $@  dSFMT.c
  
-$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c \
+  $(SOPHYAINCP)machdefs.h \
   bithelp.h gnumd5.h
 	$(CCOMPILE) -o $@  gnumd5.c
Index: /trunk/SophyaLib/HiStats/Makefile
===================================================================
--- /trunk/SophyaLib/HiStats/Makefile	(revision 3878)
+++ /trunk/SophyaLib/HiStats/Makefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
@@ -12,5 +12,6 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -42,5 +43,6 @@
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -77,5 +79,6 @@
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -102,5 +105,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h swppfdtable.h \
+  $(SOPHYAINCP)objfio.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -112,6 +116,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
  
-$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)machdefs.h \
-  hisprof.h $(SOPHYAINCP)peida.h \
+$(SOPHYAOBJP)hisprof.o: hisprof.cc \
+  $(SOPHYAINCP)machdefs.h \
+  hisprof.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utils.h \
@@ -138,5 +144,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h histos.h \
+  $(SOPHYAINCP)ppersist.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -144,5 +151,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
-$(SOPHYAOBJP)hist2err.o: hist2err.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)hist2err.o: hist2err.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -167,10 +175,12 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h hist2err.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  hist2err.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hist2err.cc
  
-$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)histerr.o: histerr.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -195,15 +205,19 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h histerr.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  histerr.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
-$(SOPHYAOBJP)histinit.o: histinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+$(SOPHYAOBJP)histinit.o: histinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -232,10 +246,15 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h histos2.h \
-  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
-  hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h datatable.h \
-  basedtable.h $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h swppfdtable.h \
+  $(SOPHYAINCP)anydataobj.h \
+  histos2.h \
+  $(SOPHYAINCP)utils.h \
+  hisprof.h histerr.h hist2err.h \
+  $(SOPHYAINCP)tmatrix.h \
+  ntuple.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -245,6 +264,42 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
  
-$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)machdefs.h \
-  histos.h $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)histos2.o: histos2.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)utils.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -281,53 +336,26 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
  
-$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)machdefs.h \
-  histos2.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)utils.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
- 
-$(SOPHYAOBJP)ntupintf.o: ntupintf.cc $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -339,14 +367,17 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
-$(SOPHYAOBJP)proxtuple.o: proxtuple.cc $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -358,5 +389,6 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
Index: /trunk/SophyaLib/HiStats/smakefile
===================================================================
--- /trunk/SophyaLib/HiStats/smakefile	(revision 3878)
+++ /trunk/SophyaLib/HiStats/smakefile	(revision 3879)
@@ -4,5 +4,5 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)hist2err.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o
 	rm -f $(SOPHYALIBP)libHiStats.a
  
@@ -12,5 +12,6 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -42,5 +43,6 @@
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -77,5 +79,6 @@
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
@@ -102,5 +105,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h swppfdtable.h \
+  $(SOPHYAINCP)objfio.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -112,6 +116,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
  
-$(SOPHYAOBJP)hisprof.o: hisprof.cc $(SOPHYAINCP)machdefs.h \
-  hisprof.h $(SOPHYAINCP)peida.h \
+$(SOPHYAOBJP)hisprof.o: hisprof.cc \
+  $(SOPHYAINCP)machdefs.h \
+  hisprof.h \
+  $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)utils.h \
@@ -138,5 +144,6 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h histos.h \
+  $(SOPHYAINCP)ppersist.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -144,5 +151,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
-$(SOPHYAOBJP)hist2err.o: hist2err.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)hist2err.o: hist2err.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -167,10 +175,12 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h hist2err.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  hist2err.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tmatrix.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hist2err.cc
  
-$(SOPHYAOBJP)histerr.o: histerr.cc $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)histerr.o: histerr.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -195,15 +205,19 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tvector_tsnl.h histerr.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  histerr.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)tvector.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
-$(SOPHYAOBJP)histinit.o: histinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+$(SOPHYAOBJP)histinit.o: histinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -232,10 +246,15 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h histos2.h \
-  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
-  hist2err.h $(SOPHYAINCP)tmatrix.h ntuple.h \
-  ntupintf.h $(SOPHYAINCP)dvlist.h datatable.h \
-  basedtable.h $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)thsafeop.h swppfdtable.h \
+  $(SOPHYAINCP)anydataobj.h \
+  histos2.h \
+  $(SOPHYAINCP)utils.h \
+  hisprof.h histerr.h hist2err.h \
+  $(SOPHYAINCP)tmatrix.h \
+  ntuple.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)thsafeop.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)segdatablock.h \
@@ -245,6 +264,42 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
  
-$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)machdefs.h \
-  histos.h $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)histos2.o: histos2.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)utils.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc \
+  $(SOPHYAINCP)machdefs.h \
+  histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -281,53 +336,26 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
  
-$(SOPHYAOBJP)histos2.o: histos2.cc $(SOPHYAINCP)machdefs.h \
-  histos2.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)utils.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
- 
-$(SOPHYAOBJP)ntupintf.o: ntupintf.cc $(SOPHYAINCP)sopnamsp.h \
-  ntupintf.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -339,14 +367,17 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
-$(SOPHYAOBJP)proxtuple.o: proxtuple.cc $(SOPHYAINCP)sopnamsp.h \
-  proxtuple.h ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppersist.h \
@@ -358,5 +389,6 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
